export function getValidAggregationsForCurrentTimeframe(timeValue: any, customAggregations: any): any;
export function CurrentTimeframe({ callout, closeMenu, timeframe, useTimeframeAggregations, customAggregations, disabledTimeframeOptions, }: {
    callout: any;
    closeMenu: any;
    timeframe: any;
    useTimeframeAggregations?: boolean | undefined;
    customAggregations: any;
    disabledTimeframeOptions: any;
}): React.JSX.Element;
export namespace CurrentTimeframe {
    namespace propTypes {
        let callout: any;
        let timeframe: any;
        let closeMenu: any;
    }
}
import React from 'react';
